<%@page contentType="text/html; charset=utf-8"%>
<%@page import="org.acts.common.*" %>
<%@page import="org.acts.common.html.*" %>
<%@page import="org.acts.member.*" %>
<%@include file="../include/check_login.jsp" %>

<%@include file="../include/header.jsp" %>
<%msbean.setCur_menu_node(MenuItem.MEMBER__PASSWORD);%>
<script type="text/javascript">
function toSubmit(){ 
    var f=document.stdform;
    if(f.password.value==""){
        alert("<%=Lang.set("Please enter new password")%>");
        return false;
    }
    if(f.password.value!=f.re_password.value){
        alert("<%=Lang.set("New password and confirm password are not matched")%>");
        return false;
    }
    opSubmit("member.MemberModuleAction.password.update");
}
</script>
<%@include file="../include/body.jsp" %>
<%
Member member=new Member(msbean.getMember_seq());

HtmlTable t=new HtmlTable(new int[]{950});
t.addTitleCell(0,0,msbean.getCur_menu_node().getName());
t.toHtml(out);

t=new HtmlTable(new int[]{140,810});
t.addDescCell(0,0,"New Password");
t.addDescCell(0,1,"Confirm Password");

String passwordTB="<input type=password class=TextBox name=password size=40>";
String re_passwordTB="<input type=password class=TextBox name=re_password size=40>";

t.addLCell(1,0,passwordTB);
t.addLCell(1,1,re_passwordTB);

t.toHtml(out);
%>

<center>
<%
(new EmptySpace(15,15)).toHtml(out);
(new Button("Submit","toSubmit()")).toHtml(out);
%>
</center>

<%@include file="../include/footer.jsp" %>